/*********************************************
* Nombre: Clase rango
* Copyright: PTK
* Autor: Aitor Hernndez Hernndez Alu2648
* Fecha de realizacin: 29 de octubre del 2005
* Descripcin: Archivo cabecera de la clase rango.
* Se usa para guardar un valor concreto o un rango
* para generar nmeros aleatorios dentro del mismo
*********************************************/

#ifndef RANGO_H
#define RANGO_H

#include <iostream>
#include <stdlib.h>

using namespace std;

class Rango {
  public:
    // Constructores y Destructores
    Rango ();    
    Rango (const int inf, const int sup);    
    // Setters    
    void setnums (const int inf, const int sup);   // inserta los valores del rango
    // Getters
    double getnum (void);                                // devuelve un nmero dento del rango
    // Control y Depuracin
    ostream& mostrar (ostream &sout);                    // usado para debug
  private:
    // Atributos
    int inferior;
    int superior;       
}; // rango


//**********************************
// sobrecarga de operadores externos
//**********************************
ostream& operator << (ostream &sout, Rango &rango); 

#endif


