/*********************************************
* Nombre: Clase Ristra
* Copyright: PTK
* Autor: Aitor Hernndez Hernndez Alu2648
* Fecha de realizacin: 29 de octubre del 2005
* Descripcin: Archivo cabecera de la clase ristra
* Clase encargada de generar una ristra de nmeros
* naturales separados por espacio y acabados en el caracter "\n"
*********************************************/

#ifndef RISTRA_H
#define RISTRA_H

#include <iostream>
#include <vector>

using namespace std;

class Ristra {
  public:
    // Constructores y Destructores
    Ristra ();
    // Setters    
    void setval (const double num);                                   // insertar un valor
    void setformato (const unsigned formaY, const unsigned formaX);  // ponemos el formado en Y y Z
    // Getters
    double getval (const unsigned pos);                            // obtener un valor concreto
    // Control y Depuracin
    ostream& mostrar (ostream &sout);    
  private:    
    // Atributos
    vector <double> buffer;
    unsigned formatoY, formatoX;
}; // ristra


//**********************************
// sobrecarga de operadores externos
//**********************************
ostream& operator << (ostream &sout, Ristra &ristra); 

#endif


