/*********************************************
* Nombre: Clase Patrn
* Copyright: PTK
* Autor: Aitor Hernndez Hernndez Alu2648
* Fecha de realizacin: 29 de octubre del 2005
* Descripcin: Archivo cabecera de la clase patron
* Clase encargada de generar un patrn
*********************************************/

#ifndef PATRON_H
#define PATRON_H

#include <iostream>
#include <string>
#include <vector>
#include <ctype.h>
#include "Ristra.h"
#include "Rango.h"

const char COMA = ',';
const char CORCHETE = '[';
const char CROCHETE = ']';
const char MENOS = '-';
enum Tmsg {TAMAYOR, INDICAPOS, POSICION, LIMPIAWINDOWS, LIMPIALINUX, RELLENAINFO, VALORELLENO, ERRORFORMATO, ERRORLUGAR, ERRORANGOLUGAR, TAMAYORANGO};

using namespace std;

class Patron {
  public:
    // Constructores y Destructores
    Patron ();
    Patron (const unsigned tamano, const unsigned formaY, const unsigned formaX, bool info = false);   
    //Setters
    void creapatron (const unsigned tamano, const unsigned formaY, const unsigned formaX, bool info = false);    
    // Control y Depuracin
    ostream& mostrar (ostream &sout);    
  private:
    //Apollo
    void abanderar (const string pos);
    void extraeval (const string val);
    void generapatron (void);
    void rellenapos ();
    void mensajes (Tmsg msg) const;
    // Atributos
    Ristra patronactual;    
    vector <bool> banderas;
    vector <Rango> valores;
    unsigned tamx, tamy;
    unsigned tam;
}; // patron


//**********************************
// sobrecarga de operadores externos
//**********************************
ostream& operator << (ostream &sout, Patron &patron); 

#endif


