/*********************************************
* Nombre: Clase PatrnES
* Copyright: PTK
* Autor: Aitor Hernndez Hernndez Alu2648
* Fecha de realizacin: 29 de octubre del 2005
* Descripcin: Archivo cabecera de la clase patron de entrada salida
* Clase encargada de generar un patrn de entrada con 
* su correspondiente patrn de salida
*********************************************/

#include "PatronES.h"


/*************************************************************************/
// Constructor de la clase patronES, la variable info indica si se informa o no
// espera recibir vectores de entrada con 3 casillas en las que el significado interno sea
// X Y TAM, es decir, tamao en X, en Y y el tamao total
PatronES::PatronES (const vector<unsigned> centrada, const vector<unsigned> csalida, const unsigned orden, bool info) {
  ordinal = orden;
  switch (orden) {
    case 1: cout << "\n1er "; break;
    case 2: cout << "\n2 "; break;
    case 3: cout << "\n3er "; break;
    default: cout << "\n" << orden << " "; break;
  }  
  cout << "patrn de ENTRADA con topologa X = " << centrada[X] << "e Y = " << centrada[Y] << " ";
  entrada.creapatron (centrada[TAM], centrada[Y], centrada[X], info);
  switch (orden) {
    case 1: cout << "\n1er "; break;
    case 2: cout << "\n2 "; break;
    case 3: cout << "\n3er "; break;
    default: cout << "\n" << orden << " "; break;
  }  
  cout << "patrn de SALIDA con topologa X = " << csalida[X] << "e Y = " << csalida[Y] << " ";
  salida.creapatron (csalida[TAM], csalida[Y], csalida[X], false);
}  


/*************************************************************************/
// Metodo que muestra la entrada y salida usando la sobrecarga
ostream& PatronES::mostrar (ostream &sout) {
  sout << "# Patrn de ENTRADA: " << ordinal << endl << entrada << endl;
  sout << "# Patrn de SALIDA: " << ordinal << endl << salida << endl;
  return (sout);
}  


//**********************************
// sobrecarga de operadores externos
//**********************************

/*************************************************************************/
// sobrecarga para mostrar una ristra completa. Da una salida formateada 
// convenientemente
ostream& operator << (ostream &sout, PatronES &patronES) {
  return (patronES.mostrar (sout));
}  




