/*********************************************
* Nombre: Clase PatrnES
* Copyright: PTK
* Autor: Aitor Hernndez Hernndez Alu2648
* Fecha de realizacin: 29 de octubre del 2005
* Descripcin: Archivo cabecera de la clase patron de entrada salida
* Clase encargada de generar un patrn de entrada con 
* su correspondiente patrn de salida
*********************************************/

#ifndef PATRONES_H
#define PATRONES_H

#include <iostream>
#include "Patron.h"


using namespace std;

const short TAM = 2;
const short Y = 1;
const short X = 0;

class PatronES {
  public:
    // Constructores y Destructores
    PatronES (const vector<unsigned> centrada, const vector<unsigned> csalida, const unsigned orden, bool info = false);       
    // Control y Depuracin
    ostream& mostrar (ostream &sout);    
  private:   
    // Atributos
    Patron entrada;
    Patron salida; 
    unsigned ordinal;   
}; // patron


//**********************************
// sobrecarga de operadores externos
//**********************************
ostream& operator << (ostream &sout, PatronES &patronES); 

#endif


